Bug 636581 - Review Request: arduino-mk - A Makefile for compiling and uploading to Arduino micro-controllers
Review Request: arduino-mk - A Makefile for compiling and uploading to Arduin...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 631558
Blocks: 636598
  Show dependency treegraph
 
Reported: 2010-09-22 11:55 EDT by Peter Oliver
Modified: 2013-05-20 10:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-20 10:43:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Oliver 2010-09-22 11:55:11 EDT
Spec URL: http://www.triv.org.uk/~mavit/rpm/specs/arduino-mk.spec
SRPM URL: http://www.triv.org.uk/~mavit/rpm/fedora-13/SRPMS/arduino-mk-0.4-1.fc13.src.rpm
Description: Arduino is an open-source electronics prototyping platform based on
flexible, easy-to-use hardware and software. It's intended for artists,
designers, hobbyists, and anyone interested in creating interactive
objects or environments.

This package contains a Makefile that can be used to compile and upload
code to the micro-controller without using the Arduino IDE.
Comment 1 Eric Sandeen 2010-09-28 23:45:47 EDT
Does it make sense to have this one file in a separate package, vs adding it to aduino-core?  (I ask primarily because the upstream page mentions that debian has added it to arduino-core).

-Eric
Comment 2 Till Maas 2010-12-04 06:38:40 EST
Another improvement would be to decide in cooperation with upstream on a environment variable that points to the make file and is set in /etc/profile.d.
Then Makefiles can easily include this makefile using it, e.g. with:

include $(ARDUINO_MK)
Comment 3 Scott Baker 2012-01-12 01:13:02 EST
I think it makes sense to include this in arduino-core
Comment 4 Peter Oliver 2012-01-12 14:58:11 EST
It appeared for a while that Arduino would include an official makefile in the future, which would make this redundant, but it now looks like that's not going to happen.

There seem to be a number of different makefiles around, not necessarily kept compatible with the latest version of Arduino.  I'm no-longer sure that it makes sense to include one with Fedora at all.

Note You need to log in before you can comment on or make changes to this bug.